EJB2 Issue – with bundle location

This topic contains 4 replies, has 3 voices, and was last updated by  Brian Fernandes 3 weeks ago.

Viewing 5 posts - 1 through 5 (of 5 total)
  • Author
    Posts
  • #629687 Reply

    gjt3
    Participant

    User is getting the following error:
    Caused by: java.lang.ClassNotFoundException: Cannot load “

      com.genuitec.eclipse.blue.ejbdeploy.was8.EJBDeployService” because the bundle “file:/C:/HighmarkApps/Genuitec/MEB2016/plugins/com.genuitec.eclipse.blue.ejbdeploy_13.0.0.me201602031002/plugins/com.genuitec.eclipse.blue.ejbdeploy.was8_3.6.50.jar” cannot be resolved.

    at org.eclipse.osgi.framework.internal.core.BundleHost.loadClass(BundleHost.java:230)
    at org.eclipse.osgi.framework.internal.core.AbstractBundle.loadClass(AbstractBundle.java:1197)
    at com.genuitec.eclipse.blue.ejbdeploy.Loader.<init>(Loader.java:164)
    … 9 more

    He has the specific jar (com.genuitec.eclipse.blue.ejbdeploy.was8_3.6.50.jar) in the corect location and it contains the specific class however it still canot find it?

    #629743 Reply

    support-swapna
    Moderator

    Gregory,

    Can you please give us some more details?

    1. Is the server starting fine and rest other deployments are working fine?
    2. Start MyEclipse with -clean command args and check if the issue persists. Here is the FAQ for starting the IDE with -clean :
    https://www.genuitec.com/forums/topic/troubleshoot-using-the-clean-command-line-argument/
    3. If -clean does not help, then please try starting MyEclipse as administrator and see if it helps. Right click on the myeclipse.exe and choose ‘Run as administrator’.
    4. If the issue persists, then please share with us the complete workspace log file which is located at workspace dir/.metadata/.log ( change the extension to .txt and attach it here ) along with the exact MyEclipse 2016 version ( Help > About MyEclipse section ) to help us investigate further.

    Apologies for inconvenience caused. Please let us know how you get on with this issue.

    –Swapna
    Genuitec Support

    #629827 Reply

    gjt3
    Participant

    Attached is the .log file and here is the version they are using

    Version: 2016 Stable 1.0
    Build id: 14.0.0-20160624

    Attachments:
    You must be logged in to view attached files.
    #629957 Reply

    Brian Fernandes
    Moderator

    Thank you for the log file – we’ve been able to replicate this problem with WAS 8.5 and MyEclipse 2016 locally.

    We spent a day looking at whether we would be able to deliver a patch for 2016. Unfortunately, as support for WAS 8.5 was just introduced in 2016, it has other WAS 8.5 bugs as well, making it impossible to deliver a patch that will allow you to reliably work with WAS 8.5 – sorry!

    Our recommendation is for you to use MyEclipse 2019.04 instead, with an additional patch to fix a Java 11 + EJBDeploy issue (fix will be a part of the next MyEclipse release being currently worked on). Here are the steps you will need to take:

    1) Install MyEclipse 2019.04.
    2) Download http://downloads.genuitec.com/downloads/partners/misc/ejbdeploy_fix.zip
    3) Ensure MyEclipse is not running.
    4) In the plugins folder of your installation, you should find a folder named: com.genuitec.eclipse.blue.ejbdeploy_13.0.0.me201805280638. Move this folder elsewhere as a backup.
    5) Unzip the zip into the plugins folder, it will create a folder of the same name – com.genuitec.eclipse.blue.ejbdeploy_13.0.0.me201805280638
    6) Start MyEclipse.

    We realize this can be quite a change for the user, but I’m afraid it’s the only solution we have until the next release of MyEclipse. Please let us know if this works for you or if you have any concerns.

    #630180 Reply

    Brian Fernandes
    Moderator

    Gregory,

    I just released that you are using MyEclipse Secure. For 2019, there would be better ways to apply the patch then having to manually copy it into the plugins folder, so that users get it automatically. If it’s just a single user, he can follow the steps above as well.

    Please let me know what you prefer and we can provide updated instructions as required.

Viewing 5 posts - 1 through 5 (of 5 total)
Reply To: EJB2 Issue – with bundle location

You must be logged in to post in the forum log in